import type { Metadata } from "next";
import "@fontsource-variable/kode-mono";
import "./globals.css";
import { Footer } from "@/components/footer";
import { Header } from "@/components/header";
import { PrimaryNavigationMenu } from "@/components/primary-nav";
import { Providers } from "@/components/providers/providers";
import { ThemeProvider } from "@/components/providers/theme-provider";
import type React from "react";

export const metadata: Metadata = {
	title: "YeloBit",
	description: "Generated by create next app",
	icons: "yellow-bit.svg",
};

export default function RootLayout({
	children,
}: Readonly<{
	children: React.ReactNode;
}>) {
	return (
		<html lang="en">
			<head>
				<link rel="icon" href="/public/favicon.ico" sizes="any" />
			</head>
			<body className={"w-full min-h-screen flex flex-col items-center justify-between"}>
				<Providers>
					<Header>
						<PrimaryNavigationMenu />
					</Header>
					{children}
					<Footer />
				</Providers>
			</body>
		</html>
	);
}
